Skip to main content
GET
/
v2
/
chargeboxes
/
models
Fetches a list of supported charge box models
curl --request GET \
  --url https://api.spirii.com/v2/chargeboxes/models \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": 123456,
      "vendor": "Zaptec",
      "name": "HYC_300",
      "plugAndChargeValidated": true,
      "firmwareManagementValidated": true,
      "updatedAt": "2025-01-27 09:38:41",
      "createdAt": "2025-01-27 09:38:41",
      "description": "Latest and greatest from Zaptec"
    }
  ],
  "nextPageCursor": "My0xMDAw",
  "previousPageCursor": "My0xMDAw"
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <SPIRII_API_KEY>

Query Parameters

nextPageCursor
string

Cursor to be used to request the next page.

Example:

"My0xMDAw"

previousPageCursor
string

Cursor to be used to request the previous page.

Example:

"My0xMDAw"

limit
integer
default:25

Limit amount of returned records.

Required range: 1 <= x <= 100

Search term to filter charge box models by name and/or vendor

Example:

"Zaptec"

Response

data
object[]
required

List of supported charge box models.

nextPageCursor
string

Cursor to be used to request the next page.

Example:

"My0xMDAw"

previousPageCursor
string

Cursor to be used to request the previous page.

Example:

"My0xMDAw"